Bug 520998 - pyOpenSSL using application cannot connect to the server
pyOpenSSL using application cannot connect to the server
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pyOpenSSL (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Paul F. Johnson
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F12Blocker/F12FinalBlocker
  Show dependency treegraph
 
Reported: 2009-09-03 01:10 EDT by Matěj Cepl
Modified: 2009-10-26 07:39 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-30 11:27:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
debugging log of gajim (406.59 KB, text/plain)
2009-09-03 01:10 EDT, Matěj Cepl
no flags Details
Build log of pyOpenSSL-0.7-7.fc12 (28.34 KB, text/plain)
2009-09-03 03:37 EDT, Tomas Mraz
no flags Details

  None (edit)
Description Matěj Cepl 2009-09-03 01:10:46 EDT
Created attachment 359616 [details]
debugging log of gajim

Description of problem:
gajim (my own rebuild of the upstream hg version, which used to work with previous versions of pyOpenSSL just fine) suddenly hangs on connecting to the server with the last messages being

20:07:00 (I) gajim.c.x.tls_nb Starting TLS estabilishing
20:07:00 (D) gajim.c.x.tls_nb _startSSL called
20:07:00 (D) gajim.c.x.tls_nb _startSSL_pyOpenSSL called
20:07:00 (D) gajim.c.x.tls_nb common.xmpp.tls_nb.PyOpenSSLWrapper.__init__ called with <Connection object at 0x355f470>
20:07:00 (D) gajim.c.x.tls_nb Initiating handshake...


Version-Release number of selected component (if applicable):
gajim-0.13-0.1.20090901hg.1.fc12.x86_64
pyOpenSSL-0.7-7.fc12.x86_64

How reproducible:
100%

Steps to Reproduce:
1.start gajim
2.
3.
  
Actual results:
starts connecting to the server, but never finishes

Expected results:
it should connect as it used to

Additional info:
Comment 1 Tomas Mraz 2009-09-03 03:37:03 EDT
Created attachment 359634 [details]
Build log of pyOpenSSL-0.7-7.fc12

There are many strict aliasing warnings in the current build log. I'd try to compile it with -fno-strict-aliasing and if it helps preferably patch the code so the strict aliasing violations are avoided.
Comment 2 Matěj Cepl 2009-09-06 15:52:33 EDT
(In reply to comment #1)
> Created an attachment (id=359634) [details]
> Build log of pyOpenSSL-0.7-7.fc12
> 
> There are many strict aliasing warnings in the current build log. I'd try to
> compile it with -fno-strict-aliasing and if it helps preferably patch the code
> so the strict aliasing violations are avoided.  

I did build packages with -fno-strict-aliasing (see http://mcepl.fedorapeople.org/rpms/) and it didn't help. The issue was very much the same.
Comment 3 Matěj Cepl 2009-09-29 11:42:19 EDT
Paul, could you please upgrade pyOpenSSL, we have a very old one in fedora. The new one (in a very rough scratch build) builds here http://koji.fedoraproject.org/koji/taskinfo?taskID=1716275
Comment 4 Matěj Cepl 2009-09-29 12:38:56 EDT
Upgraded in Rawhide (http://koji.fedoraproject.org/koji/taskinfo?taskID=1716798 -- yay, for fast Rawhide builds now!)
Comment 5 Matěj Cepl 2009-09-29 12:46:10 EDT
Build for F-12, but cannot make a bodhi request
Comment 6 Josh Boyer 2009-09-30 08:08:01 EDT
(In reply to comment #5)
> Build for F-12, but cannot make a bodhi request  

You don't need to make a bodhi request.  This will show up in rawhide already.
Comment 7 Matěj Cepl 2009-09-30 09:52:10 EDT
(In reply to comment #6)
> (In reply to comment #5)
> > Build for F-12, but cannot make a bodhi request  
> 
> You don't need to make a bodhi request.  This will show up in rawhide already.  

F-12 is not a Rawhide anymore.
Comment 8 Josh Boyer 2009-09-30 10:46:53 EDT
(In reply to comment #7)
> (In reply to comment #6)
> > (In reply to comment #5)
> > > Build for F-12, but cannot make a bodhi request  
> > 
> > You don't need to make a bodhi request.  This will show up in rawhide already.  
> 
> F-12 is not a Rawhide anymore.  

https://www.redhat.com/archives/fedora-devel-list/2009-September/msg01254.html

[jwboyer@hansolo packages]$ koji latest-pkg dist-f12 pyOpenSSL
Build                                     Tag                   Built by
----------------------------------------  --------------------  ----------------
pyOpenSSL-0.9-1.fc12                      dist-f12              mcepl
[jwboyer@hansolo packages]$ koji latest-pkg f12-beta pyOpenSSL
Build                                     Tag                   Built by
----------------------------------------  --------------------  ----------------
pyOpenSSL-0.9-1.fc12                      f12-beta              mcepl
[jwboyer@hansolo packages]$
Comment 9 Matěj Cepl 2009-09-30 11:27:43 EDT
Awesome. Closing.
Comment 10 Matěj Cepl 2009-10-26 07:39:32 EDT
Note, it works perfectly well with ejabberds, but not with openfires. There is something weird about their SSL implementation to make it not working with pyOpenSSL.

Note You need to log in before you can comment on or make changes to this bug.